Subject: RFV: FvwmAudio extension

From: [email-masked] (Albrecht Kadlec)
Date: Tue, 4 Feb 97 23:05:21 +0100

what do you think:

as it is FvwmAudio calls an external command via the C system() call.

should FvwmAudio call the fvwm-function audiofunc (changeable via cmdline) 
with the sound as parameter ?

examples:

	a) RPlay (still handled internally) call FvwmAudio this way:
		Module FvwmAudio builtin_rplay

	b) normal external play cmd
	   AddToFunc audiofunc "I" exec /usr/bin/X11/demos/auplay FvwmAudioDir/$1
		Module FvwmAudio
	   or 
		Module FvwmAudio audiofunc

	c) rsynth/say:
	   AddToFunc audiofunc "I" exec /rsynth/say $1

		Module FvwmAudio
	   or 
		Module FvwmAudio audiofunc
	   or
		Module FvwmAudio "exec /rsynth/say"

	d) echoing the parameters for debugging purposes is faster, 
	   using the fvwm internal echo rather than calling a shell:

		Module FvwmAudio echo

this somewhat reduces all the cryptic possibilities to two possibilities:

	builtin_rplay
	arbitrary fvwm function
		 which also takes care of FvwmAudioDir

net effect:
you can attach an arbitrary fvwm function to an fvwm event:

*FvwmAudio focus after_focus_hook
AddToFunction call_hook "I" $1
FvwmAudio call_hook

results in after_focus_hook being called after every focus.
(you might like to rearrange windows)

and lots of other possibilities...

the code size is the same, it just adds flexibility.

what do you think ?
albrecht
-- 
I used to think that my brain was the most wonderful organ in my body.
Then I realised who had been telling me this...		-- Stephen Wray
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].